export default class Placeholder {
    original: HTMLElement;
    element: HTMLElement;
    cachedRect: ClientRect;
    observer?: MutationObserver;
    onUpdate: () => void;
    initialComputedStyles: CSSStyleDeclaration;
    initiallyHidden: boolean;
    private $$shouldPlacehold;
    shouldPlacehold: boolean;
    constructor(element: HTMLElement, observe?: boolean, onUpdate?: () => void);
    update(forceUpdate?: boolean): void;
    updateRect(): ClientRect;
    destroy(): void;
    private execWhileStucking;
    private applyInitialStyles;
    private applyStyles;
    private removeStyles;
    private static createObserver;
    private static unwrap;
    private static wrap;
    private static createPlaceholderElement;
}
