import { Sticky, StickyOptions, PartialRequired } from './sticky';
import Placeholder from './placeholder';
export default class StickyImpl implements Sticky {
    element: HTMLElement;
    options: PartialRequired<StickyOptions, 'marginTop'>;
    placeholder: Placeholder;
    marginTop: number;
    isStickToBottom: boolean;
    rect: ClientRect;
    floor?: number;
    private $$wrapper;
    private $$additionalTop?;
    private readonly $$manager;
    private isSticky;
    private top;
    private readonly wrapper;
    constructor(element: HTMLElement, options?: StickyOptions, activate?: boolean, onUpdate?: () => void);
    private setWrapperFromSelectorOrElement;
    destroy(): void;
    private computePositionTopFromRect;
    update(): void;
}
