import { Stuck } from './stuck';
import { Sticky } from './sticky';
export interface StuckManager {
    stickies: readonly Sticky[];
    stickyElements: readonly HTMLElement[];
    stackingStickies: readonly Sticky[];
    register(stuck: Stuck): StuckManager;
    unregister(stuck: Stuck): StuckManager;
    addStickies(stacking: boolean, ...stickies: Sticky[]): StuckManager;
    destroyStickies(...stickies: Sticky[]): StuckManager;
    update(): StuckManager;
}
export declare const getStuckManagerInstance: (_window: Window) => StuckManager;
