import { Sticky } from './sticky';
export interface StickyManager {
    register(sticky: Sticky): StickyManager;
    unregister(sticky: Sticky): StickyManager;
    bulkUpdate(): StickyManager;
    destroyAll(): StickyManager;
    activate(): StickyManager;
    deactivate(): StickyManager;
}
export declare const getStickyManagerInstance: (_window: Window) => StickyManager;
